Page MenuHomePhabricator

changing-files: cache the various property
ClosedPublic

Authored by marmoute on Sep 28 2020, 12:32 PM.

Details

Summary

We are going to start using them more having some basic caching would be good.
The focus is not about performance yet, however avoid some easy N² trap seems
reasonable.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Sep 28 2020, 12:32 PM
Alphare accepted this revision.Oct 1 2020, 11:34 AM
marmoute updated this revision to Diff 22981.Oct 2 2020, 3:13 AM
pulkit accepted this revision.Oct 2 2020, 9:26 AM
This revision is now accepted and ready to land.Oct 2 2020, 9:26 AM
This revision was automatically updated to reflect the committed changes.